# FactionsChatListener
Date: 2018-12-06

com.massivecraft.factions.listeners

## Class FactionsChatListener

- java.lang.Object
- - com.massivecraft.factions.listeners.FactionsChatListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class FactionsChatListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Field Summary

Fields
`SaberFactions` `saberFactions`

### Constructor Summary

Constructors
Constructor and Description
`FactionsChatListener(SaberFactions saberFactions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onPlayerChat(org.bukkit.event.player.AsyncPlayerChatEvent event)`
`void` `onPlayerEarlyChat(org.bukkit.event.player.AsyncPlayerChatEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### saberFactions

    public SaberFactions saberFactions

### Constructor Detail

#### FactionsChatListener

    public FactionsChatListener(SaberFactions saberFactions)

### Method Detail

#### onPlayerEarlyChat

    public void onPlayerEarlyChat(org.bukkit.event.player.AsyncPlayerChatEvent event)

#### onPlayerChat

    public void onPlayerChat(org.bukkit.event.player.AsyncPlayerChatEvent event)